> ## Documentation Index
> Fetch the complete documentation index at: https://docs.variable.global/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Source

> Remove source from Switch

export const permission_0 = 'switch:update'

<Info>Requires permission: **{permission_0}**</Info>


## OpenAPI

````yaml DELETE /v1/switch/{switchId}/source/{sourceId}
openapi: 3.0.1
info:
  title: Variable API
  description: This is the Variable API
  version: 1.1.0
servers:
  - url: https://app.variable.global/api
security:
  - basicAuth: []
  - bearerAuth: []
  - oAuthNoScopes: []
paths:
  /v1/switch/{switchId}/source/{sourceId}:
    parameters:
      - in: path
        name: switchId
        required: true
        schema:
          type: string
          format: uuid
      - in: path
        name: sourceId
        required: true
        schema:
          type: string
          format: uuid
    delete:
      summary: Remove a source from a Switch
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
        '401':
          description: ExpiredToken
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExpiredTokenResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    SuccessResponse:
      type: object
      properties:
        message:
          type: string
          example: Success
    ExpiredTokenResponse:
      type: object
      properties:
        message:
          type: string
          example: token expired
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    oAuthNoScopes:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /auth/token
          scopes: {}

````